#ifndef PGAC_INDEXES_H
#define PGAC_INDEXES_H

#include "postgres.h"
#include "nodes/pg_list.h"
#include "access/htup.h"

/*
 * Разбор мандатных опций (macs) индекса
 */
bool pgac_IndexesParseIndexOptions(const List *options, const bool relhasmacs, const char *ammethod, Datum *reloptions);

/*
 * Инициализация метки индекса
 */
void pgac_IndexesSetMaclabel(const HeapTuple tuple, const bool indexHasMacs, Datum *values, bool *isnull);

/*
 * Обновление флага наличия меток индекса
 */
void pgac_IndexesUpdateHasMacs(const Oid indexOid, const bool heapRelHasMacs);

#endif // PGAC_INDEXES_H
